Skip to content
vocapable.Docs

Use Vocapable CRM, or keep an existing CRM as the home

PUT
/v1/workspace/integrations/crm-home
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/integrations/crm-home \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "mode": "vocapable", "provider": "example" }'
Media typeapplication/json
WorkspaceCrmHomeUpdate
object
mode
required
Mode
string
Allowed values: vocapable external
provider
Any of:
string

Successful Response

Media typeapplication/json
WorkspaceCrmHome
object
mode
required
Mode
string
Allowed values: vocapable external
provider
required
Any of:
string
installation_id
required
Any of:
string
Example
{
"mode": "vocapable"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}